package model;

import java.io.File;
import java.io.FileNotFoundException;

/**
 *
 * @author docente
 */
public class CrudFile<K extends Comparable,V extends RAK<K>> implements Crud<K,V> {
    SequenzaFile<V> s;

    public CrudFile(V maker,File fseq) throws FileNotFoundException {
        s = new SequenzaFile<V>(maker,fseq);
    }
    
    @Override
    public void create(V value) throws Exception {
        //cerca la chiave di value fra gli elementi di s
        for (int i = 0; i < s.getLunghezza(); i++) {
            //confronta la chiave dell'oggetto indice i con chiave di value
            V vi =s.getElemento(i);
            K ki =vi.getKey(); 
            if (ki.compareTo(value.getKey())==0){
                throw new Exception("Duplicate key");
            }
        }
        //se non trovato
        s.appendi(value);
    }

    @Override
    public V read(K key) throws Exception {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void update(V value) throws Exception {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void delete(K key) throws Exception {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
